//----------------------------------------------------------------------
//							 Ks0108 Driver
//				   Write By Mohammad mazarei @ 1390/6/29
//					Email: mohammad.mazarei@gmail.com
//					 Publish In KavirElectronic.ir
//----------------------------------------------------------------------

// Define Lcd IO
#define ks0108_RS		2	  	
#define ks0108_WR		3
#define ks0108_E		4
#define ks0108_CS0		5 
#define ks0108_CS1		6 
#define ks0108_CS2		7 
#define ks0108_CS3		8 
#define ks0108_RESET	9
#define ks0108_DATA		10 //Start Data pin , 0,1,2,3,4,5,6,7

#define ks0108_PORT		AT91C_BASE_PIOA	 // Or  AT91C_BASE_PIOB
#define ks0108_PMC		AT91C_ID_PIOA	 // or 	 AT91C_ID_PIOB
	

		// LCD geometry defines (change these definitions to adapt code/settings)
#define GLCD_XPIXELS            128        // pixel width of entire display
#define GLCD_YPIXELS            64        // pixel height of entire display
#define GLCD_CONTROLLER_XPIXELS    64        // pixel width of one display controller

#define DELAY	 //NONE



#ifndef black
#define black 1
#endif
#define none 0
#define FALSE	0
#define TRUE	-1


void ks0108_InitHW(void);
void ks0108_ControllerSelect(unsigned char controller);
void ks0108_BusyWait(unsigned char controller);
void ks0108_ControlWrite(unsigned char controller, unsigned char data);
unsigned char ks0108_ControlRead(unsigned char controller);
void ks0108_Write(unsigned char data);
void ks0108_Writexy(unsigned char x,unsigned char y,unsigned char data);
void ks0108_SetXAddress(unsigned char xAddr);
unsigned char ks0108_Read(void);
unsigned char  ks0108_Readxy(unsigned char x,unsigned char y);
void ks0108_Reset(unsigned char resetState);

void ks0108_Init(void);
void ks0108_ClearScreen(void);
void ks0108_Home(void);
void ks0108_StartLine(unsigned char start);
void ks0108_SetAddress(unsigned char x, unsigned char yLine);
void ks0108_gotoxy(unsigned char x, unsigned char yLine);
void ks0108_pset(unsigned char x,unsigned char y);
void ks0108_ResetPoint(unsigned char x,unsigned char y);
void ks0108_Point(unsigned char x,unsigned char y,unsigned char _point);
void ks0108_show_picf(const char *pic,char x, char y);
void ks0108_show_pic(char *pic,char x, char y);
